OrderCommitRequest:
  type: object
  properties:
    customer_id:
      type: integer
      description: Пользователь, который оформляет заказ
      example: 4
    customer_email:
      type: string
      description: Почта пользователя, который оформляет заказ
      example: 'example@domain.ru'
    client_comment:
      type: string
      description: Комментарий клиента к заказу
      example: 'Яиц ровно 5'
      nullable: true
    payment_system_id:
      allOf:
        - type: integer
        - $ref: "../../payment_systems/enums/payment_system_enum.yaml"
    source:
      allOf:
        - type: integer
        - $ref: "../enums/order_source_enum.yaml"
# TODO: скрыты поля в рамках задачи #90290
#    spent_bonus:
#      type: integer
#      description: Кол-во бонусов, которое списывается с пользователя в этом заказе
#      example: 50
#      nullable: true
#    added_bonus:
#      type: integer
#      description: Кол-во бонусов, которое начислится пользователю за этот заказе
#      example: 50
#      nullable: true
#    delivery_service:
#      type: integer
#      description: сервис доставки из логистики
    promo_code:
      type: string
      description: Использованный промокод
      example: 'promo_code'
      nullable: true
    delivery_method:
      type: integer
      description: метод доставки из логистики
      example: 1
#    delivery_point_id:
#      type: integer
#      description: Пункт самовывода
#      nullable: true
#      example: 1234
    delivery_address:
      $ref: './data/address.yaml#/Address'
    delivery_comment:
      type: string
      description: Комментарий клиента к доставке
      example: 'Злая собака'
      nullable: true
    delivery_price:
      type: integer
      description: Стоимость доставки со скидкой (в копейках)
      example: 199
#    delivery_cost:
#      type: integer
#      description: Стоимость доставки до скидок (в копейках)
#      example: 200
    receiver_name:
      type: string
      description: Получатель. ФИО
      example: "Иванов Иван Иванович"
    receiver_phone:
      type: string
      description: Получатель. Телефон
      example: "+79998887766"
    receiver_email:
      type: string
      description: Получатель. Почта
      example: "example@mail.com"
    deliveries:
      type: array
      description: Информация об отправлениях
      items:
        type: object
        properties:
#          date:
#            type: string
#            format: date
#            description: Выбранная дата доставки
#            example: "2020-05-22"
#          timeslot:
#            $ref: './data/timeslot.yaml#/Timeslot'
#          cost:
#            type: integer
#            description: Итоговая стоимость доставки (в копейках)
#            example: 10000
          shipments:
            type: array
            description: Отгрузки, входящие в отправление
            items:
              type: object
              properties:
                store_id:
                  type: integer
                  description: Склад, с которого идет отгрузка
                  example: 14
                items:
                  type: array
                  description: Офферы, попавшие в эту отгрузку
                  items:
                    type: object
                    properties:
                      offer_id:
                        type: integer
                        description: Оффер, лежащий в корзине
                        example: 1234
                      cost_per_one:
                        type: integer
                        description: Сумма за единичный товар до скидок (в копейках)
                        example: 50197
                      price_per_one:
                        type: integer
                        description: Сумма за едининчный товар со всеми скидками (в копейках)
                        example: 40197
                      qty:
                        type: number
                        description: Кол-во товара
                        example: 1234
                    required:
                      - offer_id
                      - cost_per_one
                      - price_per_one
                      - qty
              required:
                - store_id
                - items
        required:
          - shipments
  required:
    - customer_id
    - customer_email
    - client_comment
    - payment_system_id
    - source
    - promo_code
    - delivery_method
    - delivery_address
    - delivery_comment
    - receiver_name
    - receiver_phone
    - receiver_email
    - deliveries
OrderCommitResponse:
  type: object
  properties:
    data:
      type: object
      properties:
        order_id:
          type: integer
          description: ID созданного заказа
          example: 1234
        payment_link:
          type: string
          description: Ссылка для оплаты во внешней системе
      required:
        - order_id
